//------------------------------------------------------------------------------
// <auto-generated>
//     Ce code a été généré à partir d'un modèle.
//
//     Des modifications manuelles apportées à ce fichier peuvent conduire à un comportement inattendu de votre application.
//     Les modifications manuelles apportées à ce fichier sont remplacées si le code est régénéré.
// </auto-generated>
//------------------------------------------------------------------------------

namespace DBLibrary.DataAccess
{
    using System;
    using System.Collections.Generic;
    
    public partial class Ligne
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Ligne()
        {
            this.data = new HashSet<data>();
        }
    
        public int id_ligne { get; set; }
        public int number_ligne { get; set; }
        public System.DateTime date_ligne { get; set; }
        public int id_releve { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<data> data { get; set; }
        public virtual releve releve { get; set; }
    }
}
